Summary:	Plasma 5 PIM library
Name:		libkdepim
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	sasl-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadicontact-devel
BuildRequires:	kf5akonadimime-devel
BuildRequires:	kf5akonadisearch-devel
BuildRequires:	kf5calendarcore-devel
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5contacts-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5designerplugin-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5jobwidgets-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5ldap-devel
BuildRequires:	kf5mime-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
Plasma 5 PIM library.

%files
%{_kde5_datadir}/kdepimwidgets/pics/*.png
%{_kde5_services}/kcmldap.desktop
%{_kde5_sysconfdir}/xdg/libkdepim.categories
%{_kde5_sysconfdir}/xdg/libkdepim.renamecategories
%{_qt5_plugindir}/kcm_ldap.so

#----------------------------------------------------------------------------

%package i18n
Summary:	Plasma 5 PIM library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
Plasma 5 PIM library translations.

%files i18n -f libkdepim.lang

#----------------------------------------------------------------------------

%package -n qt5-designer-plugin-kdepimwidgets
Summary:	Qt5 Designer plugin for KDE PIM Widgets
Group:		Development/KDE and Qt

%description -n qt5-designer-plugin-kdepimwidgets
Qt5 Designer plugin for KDE PIM Widgets.

%files -n qt5-designer-plugin-kdepimwidgets
%{_qt5_plugindir}/designer/kdepimwidgets.so
%{_qt5_plugindir}/designer/kdepimakonadiwidgets.so

#----------------------------------------------------------------------------

%define kf5libkdepim_major 5
%define libkf5libkdepim %mklibname kf5libkdepim %{kf5libkdepim_major}

%package -n %{libkf5libkdepim}
Summary:	Plasma 5 PIM shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5libkdepim}
Plasma 5 PIM shared library.

%files -n %{libkf5libkdepim}
%{_kde5_libdir}/libKF5Libkdepim.so.%{kf5libkdepim_major}*

#----------------------------------------------------------------------------

%define kf5libkdepimakonadi_major 5
%define libkf5libkdepimakonadi %mklibname kf5libkdepimakonadi %{kf5libkdepimakonadi_major}

%package -n %{libkf5libkdepimakonadi}
Summary:	Plasma 5 PIM Akonadi shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5libkdepimakonadi}
Plasma 5 PIM Akonadi shared library.

%files -n %{libkf5libkdepimakonadi}
%{_kde5_libdir}/libKF5LibkdepimAkonadi.so.%{kf5libkdepimakonadi_major}*

#----------------------------------------------------------------------------

%define devkf5libkdepim %mklibname kf5libkdepim -d

%package -n %{devkf5libkdepim}
Summary:	Development files for Plasma 5 PIM library
Group:		Development/KDE and Qt
Requires:	%{libkf5libkdepim} = %{EVRD}
Requires:	%{libkf5libkdepimakonadi} = %{EVRD}
# Not auto-detected
Requires:	kf5calendarcore-devel
Provides:	kf5libkdepim-devel = %{version}
Provides:	kf5libkdepimakonadi-devel = %{version}
Suggests:	qt5-designer-plugin-kdepimwidgets
Conflicts:	kaddressbook
Conflicts:	kdepim4-core

%description -n %{devkf5libkdepim}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5libkdepim}
%dir %{_kde5_includedir}/KF5/Libkdepim
%{_kde5_includedir}/KF5/Libkdepim/*
%dir %{_kde5_includedir}/KF5/LibkdepimAkonadi
%{_kde5_includedir}/KF5/LibkdepimAkonadi/*
%dir %{_kde5_includedir}/KF5/libkdepim
%{_kde5_includedir}/KF5/libkdepim/*
%dir %{_kde5_includedir}/KF5/libkdepimakonadi
%{_kde5_includedir}/KF5/libkdepimakonadi/*
%{_kde5_includedir}/KF5/libkdepim_version.h
%{_kde5_includedir}/KF5/libkdepimakonadi_version.h
%{_kde5_libdir}/cmake/KF5Libkdepim
%{_kde5_libdir}/cmake/KF5LibkdepimAkonadi
%{_kde5_libdir}/cmake/MailTransportDBusService
%{_kde5_libdir}/libKF5Libkdepim.so
%{_kde5_libdir}/libKF5LibkdepimAkonadi.so
%{_kde5_mkspecsdir}/qt_Libkdepim.pri
%{_kde5_mkspecsdir}/qt_LibkdepimAkonadi.pri
%{_datadir}/dbus-1/interfaces/org.kde.addressbook.service.xml
%{_datadir}/dbus-1/interfaces/org.kde.mailtransport.service.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang libkdepim --with-kde
%kf5locales_fix libkdepim.lang

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (f9a533b) New version 17.12.3


